| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::CommandBufferVK Class Referencefinal

`#include <command_buffer_vk.h>`

Inheritance diagram for impeller::CommandBufferVK:

## Public Member Functions
| ~CommandBufferVK () override
const std::shared_ptr< CommandEncoderVK > & | GetEncoder ()
Public Member Functions inherited from impeller::CommandBuffer
virtual | ~CommandBuffer ()
void | WaitUntilScheduled ()
| Force execution of pending GPU commands. More...
std::shared_ptr< RenderPass > | CreateRenderPass (const RenderTarget &render_target)
| Create a render pass to record render commands into. More...
std::shared_ptr< BlitPass > | CreateBlitPass ()
| Create a blit pass to record blit commands into. More...
std::shared_ptr< ComputePass > | CreateComputePass ()
| Create a compute pass to record compute commands into. More...

## Friends
class | ContextVK

## Additional Inherited Members
Public Types inherited from impeller::CommandBuffer
enum | Status { Status::kPending, Status::kError, Status::kCompleted }
using | CompletionCallback = std::function< void(Status)>
Static Public Member Functions inherited from impeller::BackendCast< CommandBufferVK, CommandBuffer >
static CommandBufferVK & | Cast (CommandBuffer &base)
static const CommandBufferVK & | Cast (const CommandBuffer &base)
static CommandBufferVK * | Cast (CommandBuffer *base)
static const CommandBufferVK * | Cast (const CommandBuffer *base)
Protected Member Functions inherited from impeller::CommandBuffer
| CommandBuffer (std::weak_ptr< const Context > context)
Protected Attributes inherited from impeller::CommandBuffer
std::weak_ptr< const Context > | context_

## Detailed Description

Definition at line 18 of file command_buffer_vk.h.

## Constructor & Destructor Documentation

## ◆ ~CommandBufferVK()

impeller::CommandBufferVK::~CommandBufferVK | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetEncoder()

const std::shared_ptr< CommandEncoderVK > & impeller::CommandBufferVK::GetEncoder | ( |  | ) |

Definition at line 45 of file command_buffer_vk.cc.

45 {
46 if (!encoder_) {
47 encoder_ = encoder_factory_->Create();
48 }
49 return encoder_;
50 }

Referenced by impeller::GPUTracerVK::InitializeQueryPool(), and impeller::CommandQueueVK::Submit().

## Friends And Related Function Documentation

## ◆ ContextVK

friend class ContextVK
| friend

Definition at line 29 of file command_buffer_vk.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/command_buffer_vk.h
- impeller/renderer/backend/vulkan/command_buffer_vk.cc